Skip to main content
The Mintlify REST API enables you to programmatically interact with your documentation, trigger updates, embed AI-powered chat experiences, and export analytics data.

Base URL

All API requests should be made to:
https://api.mintlify.com/v1
For assistant and search endpoints:
https://api.mintlify.com/discovery

Endpoints

Admin Operations

Agent Operations

  • Create agent job: Create an agent job to automatically edit your documentation.
  • Get agent job: Retrieve the details and status of a specific agent job.

Assistant Operations

Analytics Export

Common use cases

Authentication

Generate API keys on the API keys page in your dashboard. Each API key belongs to an organization—you can use keys across multiple deployments within the same organization. You can create up to 10 API keys per hour per organization.

Admin API key

Use the admin API key to authenticate requests to Trigger update, Get update status, Create agent job, Get agent job, Get user feedback, and Get assistant conversations. Admin API keys begin with the mint_ prefix. The admin API key is a server-side secret. Do not expose it in client-side code. Usage:
curl -X POST https://api.mintlify.com/v1/project/update/{projectId} \
  -H "Authorization: Bearer mint_your_api_key_here"

Assistant API key

Use the assistant API key to authenticate requests to Generate assistant message and Search documentation endpoints. Assistant API keys begin with the mint_dsc_ prefix. The assistant API key is a public token that you can reference in frontend code. Usage:
curl -X POST https://api.mintlify.com/discovery/v1/assistant/{domain}/message \
  -H "Authorization: Bearer mint_dsc_your_api_key_here"
Calls using the assistant API token can incur costs: either using your assistant credits or incurring overages.

Build docs developers (and LLMs) love